ECLIPSE(1)

NAME
Eclipse - Router for the microscopic traffic simulation SUMO based on junction turning ratios

SYNOPSIS
jtrrouter [OPTION]*

DESCRIPTION
Eclipse SUMO jtrrouter Version 1.18.0

    Copyright (C) 2001-2023 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Router for the microscopic, multi-modal traffic simulation SUMO based on

    junction turning ratios.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --net-file FILE
    Use FILE as SUMO-network to route on

-a, --additional-files FILE
    Read additional network data (districts, bus stops) from FILE(s)

-r, --route-files FILE
    Read sumo routes, alternatives, flows, and trips from FILE(s)

--phemlight-path FILE
    Determines where to load PHEMlight definitions from

--phemlight-year INT
    Enable fleet age modelling with the given reference year in PHEMlight5

--phemlight-temperature FLOAT
    Set ambient temperature to correct NOx emissions in PHEMlight5

--junction-taz
    Initialize a TAZ for every junction to use attributes toJunction and fromJunction

-t, --turn-ratio-files FILE
    Read turning ratios from FILE(s)

  Output Options:

-o, --output-file FILE
    Write generated routes to FILE

--vtype-output FILE
    Write used vehicle types into separate FILE

--keep-vtype-distributions
    Keep vTypeDistribution ids when writing vehicles and their types

--emissions.volumetric-fuel
    Return fuel consumption values in (legacy) unit l instead of mg

--named-routes
    Write vehicles that reference routes by their id

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

--exit-times
    Write exit times (weights) for each edge

  Processing Options:

--max-alternatives INT
    Prune the number of alternatives to INT

--with-taz
    Use origin and destination zones (districts) for in- and output

--unsorted-input
    Assume input is unsorted

-s, --route-steps TIME
    Load routes for the next number of seconds ahead

--no-internal-links
    Disable (junction) internal links

--randomize-flows
    generate random departure times for flow input

--remove-loops
    Remove loops within the route; Remove turnarounds at start and end of the route

--repair
    Tries to correct a false route

--repair.from
    Tries to correct an invalid starting edge by using the first usable edge instead

--repair.to
    Tries to correct an invalid destination edge by using the last usable edge instead

--mapmatch.distance FLOAT
    Maximum distance when mapping input coordinates (fromXY etc.) to the road network

--mapmatch.junctions
    Match positions to junctions instead of edges

--bulk-routing
    Aggregate routing queries with the same origin

--routing-threads INT
    The number of parallel execution threads used for routing

--restriction-params STR[]
    Comma separated list of param keys to compare for additional restrictions

--weights.minor-penalty FLOAT
    Apply the given time penalty when computing routing costs for minor-link internal lanes

--max-edges-factor FLOAT
    Routes are cut off when the route edges to net edges ratio is larger than FLOAT

-T, --turn-defaults STR[]
    Use STR[] as default turn definition

--sink-edges STR[]
    Use STR[] as list of sink edges

-A, --accept-all-destinations
    Whether all edges are allowed as sink edges

-i, --ignore-vclasses
    Ignore road restrictions based on vehicle class

--allow-loops
    Allow to re-use a road

-S, --sources-are-sinks
    Use all source edges as sink edges.

-D, --discount-sources
    Subtract upstream flow when inserting a new flow. When option --sources-are-sinks is set, the upstream flow is limited to the value of the source flow and the remaining part terminates.

  Defaults Options:

--departlane STR
    Assigns a default depart lane

--departpos STR
    Assigns a default depart position

--departspeed STR
    Assigns a default depart speed

--arrivallane STR
    Assigns a default arrival lane

--arrivalpos STR
    Assigns a default arrival position

--arrivalspeed STR
    Assigns a default arrival speed

--defaults-override
    Defaults will override given values

  Time Options:

-b, --begin TIME
    Defines the begin time; Previous trips will be discarded

-e, --end TIME
    Defines the end time; Later trips will be discarded; Defaults to the maximum time that SUMO can represent

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

--xml-validation.net STR
    Set schema validation scheme of SUMO network inputs ("never", "local", "auto" or "always")

--xml-validation.routes STR
    Set schema validation scheme of SUMO route inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

--language STR
    Language to use in messages

--ignore-errors
    Continue if a route could not be build

--stats-period INT
    Defines how often statistics shall be printed

--no-step-log
    Disable console output of route parsing step

  Random Number Options:

--random
    Initialises the random number generator with the current system time

--seed INT
    Initialises the random number generator with the given value

EXAMPLES

    jtrrouter -c <CONFIGURATION>

    run with routing options defined in file

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-6.8.0-51-generic aarch64 GNU 14.2.0 None FMI Proj GUI Intl SWIG GDAL FFmpeg OSG GL2PS Eigen
    Copyright (C) 2001-2023 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO jtrrouter Version 1.18.0 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later